FROM atreschilov/php-grpc:v0.1.2

RUN pecl install xdebug-3.1.5 \
   && docker-php-ext-enable xdebug

RUN apt-get update && apt install cron -y

RUN chmod 0644 -R /etc/cron.d

CMD cron && tail -f /var/log/cron.log

ADD ./php.ini /usr/local/etc/php

COPY entrypoint.sh /etc/entrypoint.sh
RUN chmod +x /etc/entrypoint.sh
ENTRYPOINT ["/etc/entrypoint.sh"]

WORKDIR /var/www

CMD ["php-fpm"]
